InternalFocusSetupUtils (JGoodies Forms 1.9 API)
Date: 2015-02-02

com.jgoodies.forms.internal

## Class InternalFocusSetupUtils

- java.lang.Object
- - com.jgoodies.forms.internal.InternalFocusSetupUtils

-     public final class InternalFocusSetupUtils
      extends Object

  Provides internal convenience behavior for builders that setup a focus traversal policy directly or implicitly by specifying a focus traversal type plus optional initial component.

  Note: This class is not part of the public Forms API. It's intended for implementation purposes only. The class's API may change at any time.

  Since:
    1.9
  Version:
    $Revision: 1.1 $
  Author:
    Karsten Lentzsch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkValidFocusTraversalSetup(FocusTraversalPolicy policy, FocusTraversalType type, Component initialComponent)` Checks that if the API user has set a focus traversal policy, no focus traversal type and no initial component has been set.
    `static FocusTraversalPolicy` | `getOrCreateFocusTraversalPolicy(FocusTraversalPolicy policy, FocusTraversalType type, Component initialComponent)`
    `static void` | `setupFocusTraversalPolicyAndProvider(JComponent container, FocusTraversalPolicy policy, FocusTraversalType type, Component initialComponent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### checkValidFocusTraversalSetup

          public static void checkValidFocusTraversalSetup(FocusTraversalPolicy policy,
                                           FocusTraversalType type,
                                           Component initialComponent)

      Checks that if the API user has set a focus traversal policy, no focus traversal type and no initial component has been set.

    - #### setupFocusTraversalPolicyAndProvider

          public static void setupFocusTraversalPolicyAndProvider(JComponent container,
                                                  FocusTraversalPolicy policy,
                                                  FocusTraversalType type,
                                                  Component initialComponent)

    - #### getOrCreateFocusTraversalPolicy

          public static FocusTraversalPolicy getOrCreateFocusTraversalPolicy(FocusTraversalPolicy policy,
                                                             FocusTraversalType type,
                                                             Component initialComponent)

Copyright © 2002-2015 JGoodies Software GmbH. All Rights Reserved.